For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Get SupportGet a demo
  • Get Started
    • Welcome
    • Quickstart
  • Webhooks
    • Introduction
    • Creating a Webhook
    • Available Webhooks
  • Public API Reference (Beta)
    • Applicants/Candidates
    • Contacts/Managers
    • Clients/Departments
        • POSTCreate a client
        • DELDelete a client
        • GETGet a client by GUID
        • GETList clients
        • PUTUpdate a client
  • Internal API Reference
    • Applicants/Candidates
    • Clients/Departments
    • Contacts/Managers
LogoLogo
Get SupportGet a demo
Public API Reference (Beta)Clients/DepartmentsCore

List clients

GET
https://app.brightmove.com/ATS/api/v1/clients
GET
/ATS/api/v1/clients
$curl -G https://app.brightmove.com/ATS/api/v1/clients \
> -H "X-Brightmove-Company-ApiKey: <apiKey>" \
> -d page=0 \
> -d size=25 \
> -d q=acme
200Retrieved
1{}

Returns a paginated list of active clients for the authenticated user’s company. Optionally filter by company name using q (case-insensitive contains).

Was this page helpful?
Previous

Update a client

Next
Built with

Authentication

X-Brightmove-Company-ApiKeystring
BrightMove Company Api Key
X-Brightmove-User-ApiKeystring
BrightMove User Api Key

Query parameters

pageintegerOptionalDefaults to 0

Zero-based page number

sizeintegerOptionalDefaults to 25

Number of items per page (max 100)

qstringOptional

Optional case-insensitive company name filter

Response

Paginated list of clients returned